## org.eclipse.emf.cdo.transaction
Interface CDOXATransaction

All Superinterfaces:
  CDOUserTransaction

All Known Subinterfaces:
  InternalCDOXATransaction

    public interface CDOXATransaction

extends CDOUserTransaction

Since:
  2.0

Method Summary
`void` `add(CDOViewSet viewSet)`
`boolean` `isAllowRequestFromTransactionEnabled()` Allow request that come from contains `CDOTransaction`.
`void` `remove(CDOViewSet viewSet)`
`void` `setAllowRequestFromTransactionEnabled(boolean allRequest)` see `isAllowRequestFromTransactionEnabled()`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOUserTransaction
`commit, commit, getLastSavepoint, rollback, rollback, setSavepoint`

Method Detail

### add

    void add(CDOViewSet viewSet)

### remove

    void remove(CDOViewSet viewSet)

### setAllowRequestFromTransactionEnabled

    void setAllowRequestFromTransactionEnabled(boolean allRequest)

  see `isAllowRequestFromTransactionEnabled()`

### isAllowRequestFromTransactionEnabled

    boolean isAllowRequestFromTransactionEnabled()

  Allow request that come from contains `CDOTransaction`. Default value is true.

  If the value is true, cdoTransaction.commit() will call xaTransaction.commit and all `CDOXATransaction` part of xaTransaction will be committed.

  If the value is false, the user will receive an exception by calling cdoTransaction.commit(). The user can only commit from `CDOXATransaction`.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.